@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Allison&family=Allura&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Allura&display=swap');

:root {
	--text-color: #333;
	--text-color-hover: #111;
	--background-color: #e8e8e8;
	--line-color: #f5f5f5;
}

*,
*::before,
*::after {
	box-sizing: border-box;
}

* {
	margin: 0;
	padding: 0;
	border: 0 solid transparent;
	background-color: transparent;
}

html {
	font-size: 100%;
}

body {
	font-family:
		'Pretendard',
		-apple-system,
		BlinkMacSystemFont,
		'Segoe UI',
		'Noto Sans KR',
		'맑은 고딕',
		'Malgun Gothic',
		sans-serif;
	font-size: 12px;
	line-height: 1.4;
	letter-spacing: -0.03em;
	font-weight: 400;
	/*line-height: 1.6;*/
	background-color: var(--background-color);
	color: var(--font-color);
	height: 100vh;
	width: 100%;
}

.font-large {
	font-size: 1rem;
	line-height: 1.4;
	letter-spacing: -0.03em;
	font-weight: 400;
}

.font-base {
	font-size: 0.875rem;
	line-height: 1.4;
	letter-spacing: -0.02em;
	font-weight: 400;
}

.font-small {
	font-size: 0.75rem;
	line-height: 1.4;
	letter-spacing: -0.01em;
	font-weight: 400;
}

a {
	text-decoration: none;
	color: var(--text-color);
}

a:hover {
	text-decoration: none;
}

a:visited {
	color: var(--text-color);
}

a:active {
	color: var(--text-color-hover);
}

img {
	max-width: 100%;
	height: auto;
	-webkit-user-drag: none; /* Safari/Chrome */
	-khtml-user-drag: none; /* 구버전 Safari */
	-moz-user-drag: none; /* Firefox */
	-o-user-drag: none; /* Opera */
	/* 추가로 선택 방지 */
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	/*pointer-events: none;*/
}

.scrollable-height {
	overflow-y: scroll;
}

.unscrollable-height {
	overflow-y: hidden;
}

hr {
	margin: 3px 0 3px 0;
	border: none;
	border-bottom: solid 1px var(--line-color);
}

.display-none {
	display: none;
}
